/*!
 * Copyright 2016 IHE International (http://www.ihe.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/*
* This scss is used by the documentation site.
* Automatically apply twitter table style to table html element
*/
table {
  background-color: transparent;
}

caption {
  padding-top: 5px;
  padding-bottom: 5px;
  color: #777777;
  text-align: left;
}

th {
  text-align: left;
}

.table, table {
  width: 100%;
  max-width: 100%;
  margin-bottom: 18px;
}

.table > thead > tr > th,
table > thead > tr > th,
.table > thead > tr > td,
table > thead > tr > td,
.table > tbody > tr > th,
table > tbody > tr > th,
.table > tbody > tr > td,
table > tbody > tr > td,
.table > tfoot > tr > th,
table > tfoot > tr > th,
.table > tfoot > tr > td, table > tfoot > tr > td {
  padding: 5px;
  line-height: 1.42857;
  vertical-align: top;
  border-top: 1px solid #ddd;
}

.table > thead > tr > th, table > thead > tr > th {
  vertical-align: bottom;
  border-bottom: 2px solid #ddd;
}

.table > caption + thead > tr:first-child > th,
table > caption + thead > tr:first-child > th,
.table > caption + thead > tr:first-child > td,
table > caption + thead > tr:first-child > td,
.table > colgroup + thead > tr:first-child > th,
table > colgroup + thead > tr:first-child > th,
.table > colgroup + thead > tr:first-child > td,
table > colgroup + thead > tr:first-child > td,
.table > thead:first-child > tr:first-child > th,
table > thead:first-child > tr:first-child > th,
.table > thead:first-child > tr:first-child > td, table > thead:first-child > tr:first-child > td {
  border-top: 0;
}

.table > tbody + tbody, table > tbody + tbody {
  border-top: 2px solid #ddd;
}

.table .table, table .table, .table table, table table {
  background-color: #fff;
}

.table-condensed > thead > tr > th,
.table-condensed > thead > tr > td,
.table-condensed > tbody > tr > th,
.table-condensed > tbody > tr > td,
.table-condensed > tfoot > tr > th,
.table-condensed > tfoot > tr > td {
  padding: 5px;
}

.table-bordered {
  border: 1px solid #ddd;
}

.table-bordered > thead > tr > th,
.table-bordered > thead > tr > td,
.table-bordered > tbody > tr > th,
.table-bordered > tbody > tr > td,
.table-bordered > tfoot > tr > th,
.table-bordered > tfoot > tr > td {
  border: 1px solid #ddd;
}

.table-bordered > thead > tr > th,
.table-bordered > thead > tr > td {
  border-bottom-width: 2px;
}

.table-striped > tbody > tr:nth-of-type(odd), table > tbody > tr:nth-of-type(odd) {
  background-color: #f9f9f9;
}

.table-hover > tbody > tr:hover, table > tbody > tr:hover {
  background-color: #f5f5f5;
}

table col[class*="col-"] {
  position: static;
  float: none;
  display: table-column;
}

table td[class*="col-"],
table th[class*="col-"] {
  position: static;
  float: none;
  display: table-cell;
}

.table > thead > tr > td.active,
table > thead > tr > td.active,
.table > thead > tr > th.active,
table > thead > tr > th.active,
.table > thead > tr.active > td,
table > thead > tr.active > td,
.table > thead > tr.active > th,
table > thead > tr.active > th,
.table > tbody > tr > td.active,
table > tbody > tr > td.active,
.table > tbody > tr > th.active,
table > tbody > tr > th.active,
.table > tbody > tr.active > td,
table > tbody > tr.active > td,
.table > tbody > tr.active > th,
table > tbody > tr.active > th,
.table > tfoot > tr > td.active,
table > tfoot > tr > td.active,
.table > tfoot > tr > th.active,
table > tfoot > tr > th.active,
.table > tfoot > tr.active > td,
table > tfoot > tr.active > td,
.table > tfoot > tr.active > th, table > tfoot > tr.active > th {
  background-color: #f5f5f5;
}

.table-hover > tbody > tr > td.active:hover,
table > tbody > tr > td.active:hover,
.table-hover > tbody > tr > th.active:hover,
table > tbody > tr > th.active:hover,
.table-hover > tbody > tr.active:hover > td,
table > tbody > tr.active:hover > td,
.table-hover > tbody > tr:hover > .active,
table > tbody > tr:hover > .active,
.table-hover > tbody > tr.active:hover > th, table > tbody > tr.active:hover > th {
  background-color: #e8e8e8;
}

.table > thead > tr > td.success,
table > thead > tr > td.success,
.table > thead > tr > th.success,
table > thead > tr > th.success,
.table > thead > tr.success > td,
table > thead > tr.success > td,
.table > thead > tr.success > th,
table > thead > tr.success > th,
.table > tbody > tr > td.success,
table > tbody > tr > td.success,
.table > tbody > tr > th.success,
table > tbody > tr > th.success,
.table > tbody > tr.success > td,
table > tbody > tr.success > td,
.table > tbody > tr.success > th,
table > tbody > tr.success > th,
.table > tfoot > tr > td.success,
table > tfoot > tr > td.success,
.table > tfoot > tr > th.success,
table > tfoot > tr > th.success,
.table > tfoot > tr.success > td,
table > tfoot > tr.success > td,
.table > tfoot > tr.success > th, table > tfoot > tr.success > th {
  background-color: #dff0d8;
}

.table-hover > tbody > tr > td.success:hover,
table > tbody > tr > td.success:hover,
.table-hover > tbody > tr > th.success:hover,
table > tbody > tr > th.success:hover,
.table-hover > tbody > tr.success:hover > td,
table > tbody > tr.success:hover > td,
.table-hover > tbody > tr:hover > .success,
table > tbody > tr:hover > .success,
.table-hover > tbody > tr.success:hover > th, table > tbody > tr.success:hover > th {
  background-color: #d0e9c6;
}

.table > thead > tr > td.info,
table > thead > tr > td.info,
.table > thead > tr > th.info,
table > thead > tr > th.info,
.table > thead > tr.info > td,
table > thead > tr.info > td,
.table > thead > tr.info > th,
table > thead > tr.info > th,
.table > tbody > tr > td.info,
table > tbody > tr > td.info,
.table > tbody > tr > th.info,
table > tbody > tr > th.info,
.table > tbody > tr.info > td,
table > tbody > tr.info > td,
.table > tbody > tr.info > th,
table > tbody > tr.info > th,
.table > tfoot > tr > td.info,
table > tfoot > tr > td.info,
.table > tfoot > tr > th.info,
table > tfoot > tr > th.info,
.table > tfoot > tr.info > td,
table > tfoot > tr.info > td,
.table > tfoot > tr.info > th, table > tfoot > tr.info > th {
  background-color: #d9edf7;
}

.table-hover > tbody > tr > td.info:hover,
table > tbody > tr > td.info:hover,
.table-hover > tbody > tr > th.info:hover,
table > tbody > tr > th.info:hover,
.table-hover > tbody > tr.info:hover > td,
table > tbody > tr.info:hover > td,
.table-hover > tbody > tr:hover > .info,
table > tbody > tr:hover > .info,
.table-hover > tbody > tr.info:hover > th, table > tbody > tr.info:hover > th {
  background-color: #c4e3f3;
}

.table > thead > tr > td.warning,
table > thead > tr > td.warning,
.table > thead > tr > th.warning,
table > thead > tr > th.warning,
.table > thead > tr.warning > td,
table > thead > tr.warning > td,
.table > thead > tr.warning > th,
table > thead > tr.warning > th,
.table > tbody > tr > td.warning,
table > tbody > tr > td.warning,
.table > tbody > tr > th.warning,
table > tbody > tr > th.warning,
.table > tbody > tr.warning > td,
table > tbody > tr.warning > td,
.table > tbody > tr.warning > th,
table > tbody > tr.warning > th,
.table > tfoot > tr > td.warning,
table > tfoot > tr > td.warning,
.table > tfoot > tr > th.warning,
table > tfoot > tr > th.warning,
.table > tfoot > tr.warning > td,
table > tfoot > tr.warning > td,
.table > tfoot > tr.warning > th, table > tfoot > tr.warning > th {
  background-color: #fcf8e3;
}

.table-hover > tbody > tr > td.warning:hover,
table > tbody > tr > td.warning:hover,
.table-hover > tbody > tr > th.warning:hover,
table > tbody > tr > th.warning:hover,
.table-hover > tbody > tr.warning:hover > td,
table > tbody > tr.warning:hover > td,
.table-hover > tbody > tr:hover > .warning,
table > tbody > tr:hover > .warning,
.table-hover > tbody > tr.warning:hover > th, table > tbody > tr.warning:hover > th {
  background-color: #faf2cc;
}

.table > thead > tr > td.danger,
table > thead > tr > td.danger,
.table > thead > tr > th.danger,
table > thead > tr > th.danger,
.table > thead > tr.danger > td,
table > thead > tr.danger > td,
.table > thead > tr.danger > th,
table > thead > tr.danger > th,
.table > tbody > tr > td.danger,
table > tbody > tr > td.danger,
.table > tbody > tr > th.danger,
table > tbody > tr > th.danger,
.table > tbody > tr.danger > td,
table > tbody > tr.danger > td,
.table > tbody > tr.danger > th,
table > tbody > tr.danger > th,
.table > tfoot > tr > td.danger,
table > tfoot > tr > td.danger,
.table > tfoot > tr > th.danger,
table > tfoot > tr > th.danger,
.table > tfoot > tr.danger > td,
table > tfoot > tr.danger > td,
.table > tfoot > tr.danger > th, table > tfoot > tr.danger > th {
  background-color: #f2dede;
}

.table-hover > tbody > tr > td.danger:hover,
table > tbody > tr > td.danger:hover,
.table-hover > tbody > tr > th.danger:hover,
table > tbody > tr > th.danger:hover,
.table-hover > tbody > tr.danger:hover > td,
table > tbody > tr.danger:hover > td,
.table-hover > tbody > tr:hover > .danger,
table > tbody > tr:hover > .danger,
.table-hover > tbody > tr.danger:hover > th, table > tbody > tr.danger:hover > th {
  background-color: #ebcccc;
}

.table-responsive {
  overflow-x: auto;
  min-height: 0.01%;
}

@media screen and (max-width: 767px) {
  .table-responsive {
    width: 100%;
    margin-bottom: 13.5px;
    overflow-y: hidden;
    -ms-overflow-style: -ms-autohiding-scrollbar;
    border: 1px solid #ddd;
  }
  .table-responsive > .table, .table-responsive > table {
    margin-bottom: 0;
  }
  .table-responsive > .table > thead > tr > th,
  .table-responsive > table > thead > tr > th,
  .table-responsive > .table > thead > tr > td,
  .table-responsive > table > thead > tr > td,
  .table-responsive > .table > tbody > tr > th,
  .table-responsive > table > tbody > tr > th,
  .table-responsive > .table > tbody > tr > td,
  .table-responsive > table > tbody > tr > td,
  .table-responsive > .table > tfoot > tr > th,
  .table-responsive > table > tfoot > tr > th,
  .table-responsive > .table > tfoot > tr > td, .table-responsive > table > tfoot > tr > td {
    white-space: nowrap;
  }
  .table-responsive > .table-bordered {
    border: 0;
  }
  .table-responsive > .table-bordered > thead > tr > th:first-child,
  .table-responsive > .table-bordered > thead > tr > td:first-child,
  .table-responsive > .table-bordered > tbody > tr > th:first-child,
  .table-responsive > .table-bordered > tbody > tr > td:first-child,
  .table-responsive > .table-bordered > tfoot > tr > th:first-child,
  .table-responsive > .table-bordered > tfoot > tr > td:first-child {
    border-left: 0;
  }
  .table-responsive > .table-bordered > thead > tr > th:last-child,
  .table-responsive > .table-bordered > thead > tr > td:last-child,
  .table-responsive > .table-bordered > tbody > tr > th:last-child,
  .table-responsive > .table-bordered > tbody > tr > td:last-child,
  .table-responsive > .table-bordered > tfoot > tr > th:last-child,
  .table-responsive > .table-bordered > tfoot > tr > td:last-child {
    border-right: 0;
  }
  .table-responsive > .table-bordered > tbody > tr:last-child > th,
  .table-responsive > .table-bordered > tbody > tr:last-child > td,
  .table-responsive > .table-bordered > tfoot > tr:last-child > th,
  .table-responsive > .table-bordered > tfoot > tr:last-child > td {
    border-bottom: 0;
  }
}

table {
  word-wrap: break-word;
}
